# Module hilbish.aliases

command aliasing

### Introduction

The alias interface deals with all command aliases in Hilbish.

### Functions

add(alias, cmd) | This is an alias (ha) for the hilbish.alias function.
delete(name) | Removes an alias.
list() -> table[string, string] | Get a table of all aliases, with string keys as the alias and the value as the command.
resolve(alias) -> string? | Resolves an alias to its original command. Will thrown an error if the alias doesn’t exist.

#### hilbish.aliases.add(alias, cmd)

This is an alias (ha) for the hilbish.alias function.

##### Parameters

This function has no parameters.

#### hilbish.aliases.delete(name)

Removes an alias.

##### Parameters

`string` `name`

#### hilbish.aliases.list() -> table[string, string]

Get a table of all aliases, with string keys as the alias and the value as the command.

##### Parameters

This function has no parameters.

##### Example

    1hilbish.aliases.add('hi', 'echo hi')
    2
    3local aliases = hilbish.aliases.list()
    4-- -> {hi = 'echo hi'}

#### hilbish.aliases.resolve(alias) -> string?

Resolves an alias to its original command. Will thrown an error if the alias doesn’t exist.

##### Parameters

`string` `alias`